package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("用户下线参数")
public class CardBindOrderValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("订单Id")
   private @NotNull(
   message = "订单Id参数缺失"
) Integer id;
   @ApiModelProperty("cardId")
   private @NotNull(
   message = "cardId参数缺失"
) Integer cardId;

   public @NotNull(
   message = "订单Id参数缺失"
) Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "cardId参数缺失"
) Integer getCardId() {
      return this.cardId;
   }

   public void setId(@NotNull(
   message = "订单Id参数缺失"
) Integer id) {
      this.id = id;
   }

   public void setCardId(@NotNull(
   message = "cardId参数缺失"
) Integer cardId) {
      this.cardId = cardId;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CardBindOrderValidate)) {
         return false;
      } else {
         CardBindOrderValidate other = (CardBindOrderValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$cardId = this.getCardId();
            Object other$cardId = other.getCardId();
            if (this$cardId == null) {
               if (other$cardId != null) {
                  return false;
               }
            } else if (!this$cardId.equals(other$cardId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CardBindOrderValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $cardId = this.getCardId();
      result = result * 59 + ($cardId == null ? 43 : $cardId.hashCode());
      return result;
   }

   public String toString() {
      return "CardBindOrderValidate(id=" + this.getId() + ", cardId=" + this.getCardId() + ")";
   }
}
